## qtdeclarative-opensource-src 5.3.0

=== debian/changelog ===
qtdeclarative-opensource-src (5.3.0-3ubuntu13) utopic; urgency=medium

  * Switch back to gcc 4.9, update symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 08 Oct 2014 17:00:24 +0000

qtdeclarative-opensource-src (5.3.0-3ubuntu12) utopic; urgency=medium

  * debian/patches/Fix-crash-in-QObjectWrapper.patch:
    - Cherry-pick a fix for a crash happening in some new code (LP: #1369930)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 16 Sep 2014 08:45:09 +0000

qtdeclarative-opensource-src (5.3.0-3ubuntu11) utopic; urgency=medium

  * debian/patches/Fix-bindings-to-when-property-of-States-not-always-w.patch:
    - Cherry-pick a fix for occasional Unity8 test errors (LP: #1368019)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Sep 2014 05:06:20 +0000

qtdeclarative-opensource-src (5.3.0-3ubuntu10) utopic; urgency=medium

  * debian/patches/Avoid-double-deletion-when-deleting-an-incubating-co.patch:
    - Cherry-pick a fix to double deletion (LP: #1358169)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 18 Aug 2014 11:13:41 +0000

qtdeclarative-opensource-src (5.3.0-3ubuntu9) utopic; urgency=medium

  * debian/patches/Fix-crash-with-running-animators-on-re-shown-windows.patch:
    - Cherry-pick a fix from Qt 5.3.1 to fix crash in RotationAnimator 
      (LP: #1356279)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 13 Aug 2014 12:18:47 +0000

qtdeclarative-opensource-src (5.3.0-3ubuntu8) utopic; urgency=medium

  [ Michał Sawicz ]
  * debian/patches/8454a21b-Flickable-Cancel-interaction-on-interactive-changes.patch
    - Fix flickable interaction (LP: #1349705)
  * debian/control
  * debian/rules
    - Force gcc-4.8 to avoid symbols changes

  [ Timo Jyrinki ]
  * debian/patches/parenttosubcreator_qqmlobjectcreator.patch:
    - Drop, rejected by upstream
  * debian/patches/Fix-crash-when-deleting-component-in-Component.onCom.patch
    debian/patches/Fix-interaction-of-garbage-collector-with-JS-objects.patch:
    - Replace the old patch with accepted upstream approach (LP: #1349297)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 04 Aug 2014 10:58:28 +0000

qtdeclarative-opensource-src (5.3.0-3ubuntu7) utopic; urgency=medium

  * debian/patches/Support-RFC2822Date-date-format-similar-to-V8.patch
    - Support RFC 2822 format (LP: #1298978) 

 -- Zoltán Balogh <zoltan@bakter.hu>  Thu, 03 Jul 2014 15:52:17 +0300

qtdeclarative-opensource-src (5.3.0-3ubuntu6) utopic; urgency=medium

  * QQMLObjectCreator: Pass down parent to subCreator

 -- Albert Astals Cid <albert.astals@canonical.com>  Tue, 01 Jul 2014 10:17:13 +0200

qtdeclarative-opensource-src (5.3.0-3ubuntu5) utopic; urgency=medium

  * debian/patches/Implement-proper-support-for-layoutChange-in-QQmlDel.patch:
    - Fix a performance hit when editing sorted lists (LP: #1303746)
    - update symbols

 -- Michael Zanetti <michael.zanetti@canonical.com>  Wed, 25 Jun 2014 19:27:13 +0200

qtdeclarative-opensource-src (5.3.0-3ubuntu4) utopic; urgency=medium

  [ Ricardo Salveti de Araujo ]
  * debian/control:
    - Updating dependencies as we now also have libqt5quickwidgets5-gles
  * libqt5quickwidgets5.symbols: updating to allow gles variant

  [ Timo Jyrinki ]
  * Update libqt5quickparticles5.symbols from build logs

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 19 Jun 2014 02:39:21 -0300

qtdeclarative-opensource-src (5.3.0-3ubuntu3) utopic; urgency=medium

  * fix_qqmlobjectcreator.patch:
    - Tentative patch for Qt crashes in Unity 8 (LP: #1328485)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 17 Jun 2014 10:41:09 +0000

qtdeclarative-opensource-src (5.3.0-3ubuntu2) utopic; urgency=medium

  * v4_yarr_jit_push_pop_addressTempRegister.patch:
    - Fix from upstream for arm crasher bug (LP: #1323997)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 06 Jun 2014 05:49:55 +0000

qtdeclarative-opensource-src (5.3.0-3ubuntu1) utopic; urgency=medium

  * New upstream release
  * Drop patches that were submitted to or backports from upstream, now 
    in 5.3.0:
    - correct_geometry_for_2x_pixmaps.patch
    - fix_qtbug_32004.patch
    - qtquick_delegate_creation_range_itemviews.patch
    - Do-not-crash-if-proc-is-not-mounted.patch
    - Make-sure-the-test-window-has-focus.patch
    - V4-Array.push-on-QStringList-should-invoke-putIndexe.patch
    - Guarantee-event-s-default-state-as-not-accepted.patch
    - Fix-crash-when-accessing-var-properties-in-objects-w.patch
    - clean_chain_of_incubated_objects.patch
    - Fix-crash-when-appending-arrays-to-sub-models-in-lis.patch
    - Don-t-crash-on-Runtime-getQmlImportedScripts.patch
    - Fix-global-object-handling-in-worker-script-JS-files.patch
    - V4-JIT-save-restore-ebx-GOT-ptr-on-linux-x86.patch
    - V4-fix-range-sorting.patch
    - V4-regalloc-fix-interval-splitting-when-register-pre.patch
    - 0001-Call-tzset-from-getLocalTZA-so-we-learn-about-tz-cha.patch
    - Support-RFC2822Date-date-format-similar-to-V8.patch
    - Fix-marking-of-prototype-objects-in-chain.patch
    - QQuickItemView-QQuickPathView-Fix-creation-of-delega.patch
    - Implement-proper-support-for-layoutChange-in-QQmlDel.patch
    - V4-regalloc-fix-register-spill-choice-under-high-pre.patch
  * Drop patch that is unneeded and resolved upstream in a different way:
    - Fix_QSmoothedAnimation_sometimes_getting_stuck.patch
  * debian/patches/Make-ItemViews-displayMargin-work-correctly-when-set.patch:
    - Cherry-pick from https://codereview.qt-project.org/#change,85437
    - Needs also Unity8 update
  * Update symbols files
  * Bump abi
  * Sync with Debian 5.3.0-3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 05 Jun 2014 08:41:25 +0000

qtdeclarative-opensource-src (5.3.0-3) experimental; urgency=medium

  * Add libqt5quickwidgets5 to qtdeclarative5-dev.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 24 May 2014 11:01:14 -0300

qtdeclarative-opensource-src (5.3.0-2) experimental; urgency=medium


