=== debian/control ===
Source: qtdeclarative-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               libqt5xmlpatterns5-private-dev (>= 5.3.0-0~),
               pkg-kde-tools (>= 0.15.12~),
               python,
               qtbase5-private-dev (>= 5.3.0-0~)
Standards-Version: 3.9.5
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtdeclarative.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtdeclarative.git;a=summary
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtdeclarative-opensource-src

Package: libqt5qml5
Provides: qtdeclarative-abi-5-3-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt QML module provides a framework for developing applications and
 libraries with the QML language. It defines and implements the language
 and engine infrastructure, and provides an API to enable application
 developers to extend the QML language with custom types and integrate
 QML code with JavaScript and C++.

Package: libqt5quick5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Quick is a collection of technologies that are designed to help
 developers create the kind of intuitive, modern, fluid user interfaces
 that are increasingly used on mobile phones, media players, set-top
 boxes and other portable devices.

Package: libqt5quickparticles5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick particules module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Particles support library.

Package: libqt5quicktest5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Test library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Test library for QtDeclarative module.

Package: libqt5quickwidgets5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Widgets library for QtDeclarative module.

Package: qtdeclarative5-folderlistmodel-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-qt-labs-folderlistmodel, ${misc:Depends}
Description: transitional dummy package for Qt 5 folderlistmodel QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package which can be safely removed.

Package: qml-module-qt-labs-folderlistmodel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qtdeclarative5-folderlistmodel-plugin (<< 5.2.1-5~)
Replaces: qtdeclarative5-folderlistmodel-plugin (<< 5.2.1-5~)
Description: Qt 5 folderlistmodel QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The FolderListModel provides a model of the contents of a file system folder.

Package: qtdeclarative5-localstorage-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-qtquick-localstorage, ${misc:Depends}
Description: transitional dummy package for Qt 5 localstorage QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package which can be safely removed.

Package: qml-module-qtquick-localstorage
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Breaks: qtdeclarative5-localstorage-plugin (<< 5.2.1-5~)
Replaces: qtdeclarative5-localstorage-plugin (<< 5.2.1-5~)
Description: Qt 5 localstorage QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a singleton type for reading and writing to SQLite databases.

Package: qtdeclarative5-models-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-qtqml-models2, ${misc:Depends}
Description: transitional dummy package for Qt 5 Models2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package which can be safely removed.

Package: qml-module-qtqml-models2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qtdeclarative5-models-plugin (<< 5.2.1-5~), qml-model-qtqml-models2 (<< 5.2.1-5ubuntu4~)
Replaces: qtdeclarative5-models-plugin (<< 5.2.1-5~), qml-model-qtqml-models2 (<< 5.2.1-5ubuntu4~)
Description: Qt 5 Models2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Models provides types previously found in Qt Quick module.

Package: qml-model-qtqml-models2
Architecture: all
Section: oldlibs
Depends: qml-module-qtqml-models2, ${misc:Depends}
Description: transitional dummy package for qml-module-qtqml-models2
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package which can be safely removed.

Package: qtdeclarative5-particles-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-qtquick-particles2, ${misc:Depends}
Description: transitional dummy package for Qt 5 particles 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package which can be safely removed.

Package: qml-module-qtquick-particles2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qtdeclarative5-particles-plugin (<< 5.2.1-5~)
Replaces: qtdeclarative5-particles-plugin (<< 5.2.1-5~)
Description: Qt 5 particles 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains a particle system for Qt Quick.

Package: qtdeclarative5-qtquick2-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-qtquick2, ${misc:Depends}
Description: transitional dummy package Qt 5 Qt Quick 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package which can be safely removed.

Package: qml-module-qtquick2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libgl1-mesa-dri | libgl1, ${misc:Depends}, ${shlibs:Depends}
Breaks: qtdeclarative5-qtquick2-plugin (<< 5.2.1-5~)
Replaces: qtdeclarative5-qtquick2-plugin (<< 5.2.1-5~)
Description: Qt 5 Qt Quick 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick 2 QML module for Qt declarative.

Package: qtdeclarative5-settings-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-qt-labs-settings, ${misc:Depends}
Description: transitional dummy package for Qt 5 settings QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package which can be safely removed.

Package: qml-module-qt-labs-settings
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qtdeclarative5-settings-plugin (<< 5.2.1-5~)
Replaces: qtdeclarative5-settings-plugin (<< 5.2.1-5~)
Description: Qt 5 settings QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the settings QML module for Qt declarative.

Package: qtdeclarative5-test-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-qttest, ${misc:Depends}
Description: transitional dummy package for Qt 5 test QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package which can be safely removed.

Package: qml-module-qttest
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Breaks: qtdeclarative5-test-plugin (<< 5.2.1-5~)
Replaces: qtdeclarative5-test-plugin (<< 5.2.1-5~)
Description: Qt 5 test QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the test QML module for Qt declarative.

Package: qtdeclarative5-window-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-qtquick-window2, ${misc:Depends}
Description: transitional dummy package for Qt 5 window 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package which can be safely removed.

Package: qml-module-qtquick-window2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qtdeclarative5-window-plugin (<< 5.2.1-5~)
Replaces: qtdeclarative5-window-plugin (<< 5.2.1-5~)
Description: Qt 5 window 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains types for creating top-level windows and
 accessing screen information.

Package: qtdeclarative5-xmllistmodel-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-qtquick-xmllistmodel, ${misc:Depends}
Description: transitional dummy package for Qt 5 xmllistmodel QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package which can be safely removed.
