## qtdeclarative-opensource-src 5.3.1

=== debian/changelog ===
qtdeclarative-opensource-src (5.3.1-6) unstable; urgency=medium

  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 06 Sep 2014 17:35:32 -0300

qtdeclarative-opensource-src (5.3.1-5) unstable; urgency=medium

  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 04 Sep 2014 10:32:22 -0300

qtdeclarative-opensource-src (5.3.1-4) unstable; urgency=medium

  * Update symbols files with buildd's logs (Closes: 756315).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 31 Aug 2014 18:23:22 -0300

qtdeclarative-opensource-src (5.3.1-3) unstable; urgency=medium

  * Update symbols files with buildds' and mips64el's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 30 Jun 2014 22:05:42 -0300

qtdeclarative-opensource-src (5.3.1-2) unstable; urgency=medium

  * Bump qtbase's build dependencies to depend upon qtbase-abi-5-3-1.
  * Update symbols files with buildds' and mip64el's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 28 Jun 2014 00:25:19 -0300

qtdeclarative-opensource-src (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files with buildds' logs and mips64[el] logs.
  * Bump Qt build depends.
  * Remove v4_yarr_jit_push_pop_addressTempRegister.patch, applied upstream.
  * Fix qtdeclarative5-provate-dev.install.
  * Update symbols files with current log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jun 2014 14:10:10 -0300

qtdeclarative-opensource-src (5.3.0-10) unstable; urgency=medium

  * Update symbols files. Again.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 20 Jun 2014 19:35:56 -0300

qtdeclarative-opensource-src (5.3.0-9) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 19 Jun 2014 11:40:40 -0300

qtdeclarative-opensource-src (5.3.0-8) unstable; urgency=medium

  * Update symbols files with buildds' and current logs (Closes: #746900).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 17 Jun 2014 10:40:47 -0300

qtdeclarative-opensource-src (5.3.0-7) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Mark some new private symbols as such.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 09 Jun 2014 10:20:20 -0300

qtdeclarative-opensource-src (5.3.0-6) unstable; urgency=medium

  * Update symbols files with buildds' logs (Closes: #750878).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 08 Jun 2014 10:18:39 -0300

qtdeclarative-opensource-src (5.3.0-5) unstable; urgency=medium

  * Upload to unstable.
  * Backport v4_yarr_jit_push_pop_addressTempRegister.patch to fix a bug
    of the JIT compiler in arm. Thanks Scott Kitterman for pointing it out.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 05 Jun 2014 23:53:56 -0300

qtdeclarative-opensource-src (5.3.0-4) experimental; urgency=medium

  [ Timo Jyrinki ]
  * Move a Quick Widgets private header to qtdeclarative5-private-dev.

  [ Dmitry Shachnev ]
  * Add freebsd_registers.diff to fix build failure on kFreeBSD.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 05 Jun 2014 19:01:51 -0300
