=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtdeclarative-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -11,15 +10,14 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
-               libqt5xmlpatterns5-private-dev (>= 5.3.0-0~),
+               libqt5xmlpatterns5-private-dev (>= 5.3.1~),
                pkg-kde-tools (>= 0.15.12~),
                python,
-               qtbase5-private-dev (>= 5.3.0-0~)
+               qtbase5-private-dev (>= 5.3.1+dfsg-2~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtdeclarative.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtdeclarative.git;a=summary
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtdeclarative-opensource-src
 
 Package: libqt5qml5
 Provides: qtdeclarative-abi-5-3-0
@@ -84,17 +82,6 @@
  .
  This package contains the Qt Quick Widgets library for QtDeclarative module.
 
-Package: qtdeclarative5-folderlistmodel-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qt-labs-folderlistmodel, ${misc:Depends}
-Description: transitional dummy package for Qt 5 folderlistmodel QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
-
 Package: qml-module-qt-labs-folderlistmodel
 Architecture: any
 Multi-Arch: same
@@ -107,17 +94,6 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  The FolderListModel provides a model of the contents of a file system folder.
-
-Package: qtdeclarative5-localstorage-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtquick-localstorage, ${misc:Depends}
-Description: transitional dummy package for Qt 5 localstorage QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
 
 Package: qml-module-qtquick-localstorage
 Architecture: any
@@ -132,24 +108,15 @@
  .
  This is a singleton type for reading and writing to SQLite databases.
 
-Package: qtdeclarative5-models-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtqml-models2, ${misc:Depends}
-Description: transitional dummy package for Qt 5 Models2 QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
-
 Package: qml-module-qtqml-models2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: qtdeclarative5-models-plugin (<< 5.2.1-5~), qml-model-qtqml-models2 (<< 5.2.1-5ubuntu4~)
-Replaces: qtdeclarative5-models-plugin (<< 5.2.1-5~), qml-model-qtqml-models2 (<< 5.2.1-5ubuntu4~)
+Breaks: qml-model-qtqml-models2 (<< 5.3.0~),
+        qtdeclarative5-models-plugin (<< 5.2.1-5~)
+Replaces: qml-model-qtqml-models2 (<< 5.3.0~),
+          qtdeclarative5-models-plugin (<< 5.2.1-5~)
 Description: Qt 5 Models2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -166,17 +133,6 @@
  .
  This is a transitional dummy package which can be safely removed.
 
-Package: qtdeclarative5-particles-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtquick-particles2, ${misc:Depends}
-Description: transitional dummy package for Qt 5 particles 2 QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
-
 Package: qml-module-qtquick-particles2
 Architecture: any
 Multi-Arch: same
@@ -190,22 +146,11 @@
  .
  This QML module contains a particle system for Qt Quick.
 
-Package: qtdeclarative5-qtquick2-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtquick2, ${misc:Depends}
-Description: transitional dummy package Qt 5 Qt Quick 2 QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
-
 Package: qml-module-qtquick2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libgl1-mesa-dri | libgl1, ${misc:Depends}, ${shlibs:Depends}
+Depends: libgl1-mesa-dri, ${misc:Depends}, ${shlibs:Depends}
 Breaks: qtdeclarative5-qtquick2-plugin (<< 5.2.1-5~)
 Replaces: qtdeclarative5-qtquick2-plugin (<< 5.2.1-5~)
 Description: Qt 5 Qt Quick 2 QML module
@@ -214,17 +159,6 @@
  .
  This package contains the Qt Quick 2 QML module for Qt declarative.
 
-Package: qtdeclarative5-settings-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qt-labs-settings, ${misc:Depends}
-Description: transitional dummy package for Qt 5 settings QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
-
 Package: qml-module-qt-labs-settings
 Architecture: any
 Multi-Arch: same
@@ -237,17 +171,6 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the settings QML module for Qt declarative.
-
-Package: qtdeclarative5-test-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qttest, ${misc:Depends}
-Description: transitional dummy package for Qt 5 test QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
 
 Package: qml-module-qttest
 Architecture: any
@@ -262,17 +185,6 @@
  .
  This package contains the test QML module for Qt declarative.
 
-Package: qtdeclarative5-window-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtquick-window2, ${misc:Depends}
-Description: transitional dummy package for Qt 5 window 2 QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
-
 Package: qml-module-qtquick-window2
 Architecture: any
 Multi-Arch: same
@@ -287,14 +199,116 @@
  This QML module contains types for creating top-level windows and
  accessing screen information.
 
-Package: qtdeclarative5-xmllistmodel-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qml-module-qtquick-xmllistmodel, ${misc:Depends}
-Description: transitional dummy package for Qt 5 xmllistmodel QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
-
+Package: qml-module-qtquick-xmllistmodel
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: qtdeclarative5-xmllistmodel-plugin (<< 5.2.1-5~)
+Replaces: qtdeclarative5-xmllistmodel-plugin (<< 5.2.1-5~)
+Description: Qt 5 xmllistmodel QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This QML module contains types for creating models from XML data.
+
+Package: qtdeclarative5-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libqt5qml5 (= ${binary:Version}),
+         libqt5quick5 (= ${binary:Version}),
+         libqt5quickparticles5 (= ${binary:Version}),
+         libqt5quicktest5 (= ${binary:Version}),
+         libqt5quickwidgets5 (= ${binary:Version}),
+         qtbase5-dev,
+         ${misc:Depends}
+Description: Qt 5 declarative development files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the header development files for building some
+ Qt 5 applications using Qt 5 declarative headers.
+
+Package: qtdeclarative5-private-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: qtdeclarative5-dev (= ${binary:Version}), ${misc:Depends}
+Breaks: qtdeclarative5-dev (<< 5.3.0-4~)
+Replaces: qtdeclarative5-dev (<< 5.3.0-4~)
+Description: Qt 5 declarative private development files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the private header development files for building some
+ Qt 5 applications using Qt 5 declarative private headers.
+ .
+ Use at your own risk.
+
+Package: qtdeclarative5-dev-tools
+Architecture: any
+Multi-Arch: foreign
+Section: devel
+Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 declarative development programs
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the development programs used for building Qt 5
+ declarative applications.
+
+Package: qmlscene
+Architecture: any
+Multi-Arch: foreign
+Section: devel
+Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 QML scene viewer
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the older QML viewer for Qt Quick 2. See qml package
+ for the newer one.
+
+Package: qml
+Architecture: any
+Multi-Arch: foreign
+Section: devel
+Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Breaks: qtdeclarative5-dev-tools (<< 5.2.0-5~)
+Replaces: qtdeclarative5-dev-tools (<< 5.2.0-5~)
+Description: Qt 5 QML viewer
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the new QML viewer for Qt Quick 2, called simply
+ 'qml'.
+
+Package: qtdeclarative5-examples
+Architecture: any
+Multi-Arch: same
+Section: x11
+Pre-Depends: ${misc:Pre-Depends}
+Depends: qml-module-qtqml-models2,
+         qml-module-qtquick-dialogs,
+         qml-module-qtquick-localstorage,
+         qml-module-qtquick-particles2,
+         qml-module-qtquick-xmllistmodel,
+         qml-module-qttest,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Qt 5 declarative examples
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains Qt 5 declarative examples.
+
+Package: qtdeclarative5-dbg
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Section: debug
+Depends: libqt5qml5 (= ${binary:Version}),
+         libqt5quick5 (= ${binary:Version}),
+         libqt5quickparticles5 (= ${binary:Version}),
+         libqt5quicktest5 (= ${binary:Version}),
