=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-include /usr/share/dpkg/default.mk
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -16,7 +14,7 @@
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtdeclarative5-dbg
 
 override_dh_auto_configure:
-	qmake QT_BUILD_PARTS+=tests QMAKE_CC=$(CC) QMAKE_CXX=$(CXX)
+	qmake
 
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- html_docs
@@ -53,15 +51,5 @@
 	# Check for private symbols not marked as such. Be verbose.
 	DEBUG=1 debian/mark_private_symbols.sh
 
+# Requires X so disabled for now
 override_dh_auto_test:
-	cp -a src/imports/qtquick2/qmldir qml/QtQuick.2
-	cp -a src/imports/folderlistmodel/qmldir qml/Qt/labs/folderlistmodel/
-	cp -a src/imports/settings/qmldir qml/Qt/labs/settings/
-	cp -a src/imports/window/qmldir qml/QtQuick/Window.2/
-	cp -a src/imports/models/qmldir qml/QtQml/Models.2/
-	cp -a src/imports/testlib/qmldir qml/QtTest
-	cp -a src/imports/testlib/TestCase.qml qml/QtTest
-	cp -a src/imports/testlib/SignalSpy.qml qml/QtTest
-	cp -a src/imports/testlib/testlogger.js qml/QtTest
-	make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/qml QT_QPA_PLATFORM=minimal
-
