## qtdeclarative-opensource-src 5.3.2

=== debian/changelog ===
qtdeclarative-opensource-src (5.3.2-4) unstable; urgency=medium

  * Remove CMake files for plugins, we don't need to ship them.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Sep 2014 23:22:11 -0300

qtdeclarative-opensource-src (5.3.2-3) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 21 Sep 2014 23:55:52 -0300

qtdeclarative-opensource-src (5.3.2-2) experimental; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 18 Sep 2014 14:25:34 -0300

qtdeclarative-opensource-src (5.3.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Update symbols files with the current build log.
  * Bump qtdeclarative-abi to 5-3-2 due to missing private symbol.
  * Mark a new private symbol as such.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 16 Sep 2014 21:18:19 -0300
