=== debian/control ===
--- 
+++ 
@@ -10,17 +10,17 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
-               libqt5xmlpatterns5-private-dev (>= 5.3.1~),
+               libqt5xmlpatterns5-private-dev (>= 5.3.2~),
                pkg-kde-tools (>= 0.15.12~),
                python,
-               qtbase5-private-dev (>= 5.3.1+dfsg-2~)
+               qtbase5-private-dev (>= 5.3.2+dfsg~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtdeclarative.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtdeclarative.git;a=summary
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-3-0
+Provides: qtdeclarative-abi-5-3-2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
